d3.csv('https://gist.githubusercontent.com/Tejamod/5d6f8468679b7797a69ad15d4897bde7/raw/38e8f303f507b10cff843688b56cf7f097ab9111/tengamesales.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace0 = {
	x:unpack(rows, 'Global_Sales'), y: unpack(rows, 'Year'), z: unpack(rows, 'NA_Sales'),
	mode: 'markers',
	marker: {
		size: 10,
		line: {
		color: 'rgba(215, 210, 215, 0.10)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace1 = {
	x:unpack(rows, 'Global_Sales'), y: unpack(rows, 'Year'), z: unpack(rows, 'EU_Sales'),
	mode: 'markers',
	marker: {
		color: 'orange',
		size: 7,
		
		line: {
		color: 'rgb(200, 200, 200)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace0, trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
    scene: {
    xaxis: {
      title: 'Global Sales',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 20
      }
    },
    yaxis: {
      title: 'Year',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 20
      }
    },
  zaxis: {
      title: 'Regional Sales',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 20
      }
    }
   }
  };
Plotly.newPlot('myDiv', data, layout);
});


